<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.basic.mapper.WeightPersonMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.unis.crk.basic.entity.WeightPerson">
                    <id column="ID" property="id" />
                    <result column="USER_CODE" property="userCode" />
                    <result column="USER_NAME" property="userName" />
                    <result column="UNIT_ID" property="unitId" />
                    <result column="UPDATE_TIME" property="updateTime" />
        </resultMap>

    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT
        ID AS "id",
        USER_CODE AS "userCode",
        USER_NAME AS "userName",
        UNIT_ID AS "unitId",
        UPDATE_TIME AS "updateTime"
        FROM
        weight_person
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>

</mapper>